﻿@model Bll.Models.RegisterModel
@using Bll.Models

@{
    ViewBag.Title = "Register";
}

<div class="d-flex flex-column w-100 align-items-center">
    <div class="d-flex w-100 justify-content-center">
        <h2 class="d-flex">Register</h2>
    </div>

    <div class="d-flex justify-content-center w-50">
        <div class="border border-2 border-dark rounded-1 p-2 w-75 m-5">
            @using (Html.BeginForm("Register", "User", FormMethod.Post))
            {
                @Html.AntiForgeryToken()

                <div class="form-horizontal">
                    <hr />
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                    <div class="mb-3">
                        @Html.LabelFor(model => model.Email, "Email", htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10 w-100">
                            @Html.EditorFor(model => model.Email, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="mb-3">
                        @Html.LabelFor(model => model.Password, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10 w-100">
                            @Html.EditorFor(model => model.Password, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.Password, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="mb-3">
                        @Html.LabelFor(model => model.ConfirmPassword, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10 w-100">
                            @Html.EditorFor(model => model.ConfirmPassword, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.ConfirmPassword, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="mb-3">
                        @Html.LabelFor(model => model.RoleId, "Select Role", htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10 w-100">
                            @foreach (RoleModel item in ViewBag.Roles)
                            {
                                @Html.RadioButton("RoleId", item.Id,true)
                                <span>@item.Name</span> <br />
                            }
                        </div>
                    </div>

                    <div class="d-flex justify-content-center">
                        <button type="submit" class="btn btn-primary d-flex">Register</button>
                    </div>
                </div>
            }

            @section Scripts {
                @Scripts.Render("~/bundles/jqueryval")
            }
        </div>
    </div>
</div>
